explain_fpurge_or_die(3)

NAME
explain_fpurge_or_die - purge a stream and report errors
    "purge a stream and report errors"

SYNOPSIS
#include <libexplain/fpurge.h>

void explain_fpurge_or_die(FILE *fp);
int explain_fpurge_on_error(FILE *fp);

DESCRIPTION
The explain_fpurge_or_die function is used to call the fpurge(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fpurge(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fpurge_on_error function is used to call the fpurge(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fpurge(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the fpurge(3) system call.

RETURN VALUE
The explain_fpurge_or_die function only returns on success, see fpurge(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fpurge_on_error function always returns the value return by the wrapped fpurge(3) system call.

EXAMPLE
The explain_fpurge_or_die function is intended to be used in a fashion similar to the following example:
    explain_fpurge_or_die(fp);

SEE ALSO

fpurge(3)
    purge a stream

explain_fpurge(3)
    explain fpurge(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2010 Peter Miller